$users = Get-ChildItem C:\Users  # Get the list of directories in the c:\users directory
foreach ($user in $users) {
# Loop through all the users folders
    if ($user.Name -ne "Public") {
        $leftOver = "C:\Users\" + $user.Name + "\AppData\Roaming\Microsoft\Windows\Start Menu\Programs\JetBrains\JetBrains PyCharm Community Edition*"  # Fuzzy file name for program shortcuts
        if (Test-Path $leftOver) {
            Remove-Item $leftOver -Recurse -Force  # Fuzzy remove shortcuts left by last uninstaller
        }
    }
}

$all_users = "C:\ProgramData\Microsoft\Windows\Start Menu\Programs\JetBrains\JetBrains PyCharm Community Edition*"
if (Test-Path $all_users) {
    Remove-Item $all_users -Recurse -Force  # Fuzzy remove shortcuts left by last uninstaller
}

Write-Host "Deleted old Pycharm-community start menu shortcuts from all users!"
